be.ehealth.technicalconnector.service.etee

## Enum Crypto.SigningPolicySelector

- java.lang.Object
- - java.lang.Enum<Crypto.SigningPolicySelector>
  - - be.ehealth.technicalconnector.service.etee.Crypto.SigningPolicySelector

- All Implemented Interfaces:
    Serializable, Comparable<Crypto.SigningPolicySelector>
  Enclosing interface:
    Crypto

      public static enum Crypto.SigningPolicySelector
      extends Enum<Crypto.SigningPolicySelector>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `WITH_NON_REPUDIATION` Signing Policy that indicates that the inner signature should be with a NON_REPUDIATION certificate signed.
    `WITHOUT_NON_REPUDIATION` Signing Policy that indicates if the inner signature should NOT be with a NON_REPUDIATION certificate signed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Crypto.SigningPolicySelector` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Crypto.SigningPolicySelector[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WITH_NON_REPUDIATION

          public static final Crypto.SigningPolicySelector WITH_NON_REPUDIATION

      Signing Policy that indicates that the inner signature should be with a NON_REPUDIATION certificate signed.

    - #### WITHOUT_NON_REPUDIATION

          public static final Crypto.SigningPolicySelector WITHOUT_NON_REPUDIATION

      Signing Policy that indicates if the inner signature should NOT be with a NON_REPUDIATION certificate signed.

  - ### Method Detail

    - #### values

          public static Crypto.SigningPolicySelector[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Crypto.SigningPolicySelector c : Crypto.SigningPolicySelector.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Crypto.SigningPolicySelector valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Connector Packaging TRUSSMAKER 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.